/*
 * Copyright (c) 2017 Brook Milligan.
 *
 * This file is part of the GraphModel Library.
 *
 *     The GraphModel Library is free software: you can redistribute
 *     it and/or modify it under the terms of the GNU Affero General
 *     Public License as published by the Free Software Foundation,
 *     either version 3 of the License, or (at your option) any later
 *     version.
 *
 *     The GraphModel Library is distributed in the hope that it will
 *     be useful, but WITHOUT ANY WARRANTY; without even the implied
 *     warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 *     PURPOSE.  See the GNU Affero General Public License for more
 *     details.
 *
 *     You should have received a copy of the GNU Affero General
 *     Public License along with the GraphModel Library.  If not, see
 *     <http://www.gnu.org/licenses/>.
 */

/// \file

#ifndef GRAPH_MODEL_TYPE_SLOT_COLLECTION_FWD_HPP
#define GRAPH_MODEL_TYPE_SLOT_COLLECTION_FWD_HPP 1

namespace graph_model
{

  namespace type
  {

    template < template < typename ... > class SlotCollection
	       , typename Signature
	       >
    class slot_collection;

    template < template < typename ... > class SlotCollection
	       , typename Signature
	       >
    using slot_collection_t = typename slot_collection<SlotCollection,Signature>::type;

  } // namespace type

} // namespace graph_model

#endif
